function init(hero) {
    hero.setName("hero.fiskheroes.iron_man.name");
	hero.setVersion("Mk: 40");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:super_speed", "fiskheroes:fire_immunity", "fiskheroes:propelled_flight", "fiskheroes:repulsor_blast", "fiskheroes:hover");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
	hero.addAttribute("ATTACK_DAMAGE", 1.0, 1);
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -2.0, 0);
	hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
	hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);
	hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 3);
	hero.addKeyBind("DECELERATE", "key.decelerate", 4);
    hero.addKeyBind("ACCELERATE", "key.accelerate", 5);
    
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
	hero.setModifierEnabled(isModifierEnabled);
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    case "BREATHE_UNDERWATER":
        return !entity.getData("fiskheroes:mask_open");
    case "BREATHE_SPACE":
        return !entity.getData("fiskheroes:mask_open");
    default:
        return false;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}

function isModifierEnabled(entity, modifier) {
    return !entity.getData("fiskheroes:mask_open") || modifier != "fiskheroes:super_speed";
}
